package com.ruoyi.model.domain;

import org.apache.commons.lang3.builder.ToStringBuilder;
import org.apache.commons.lang3.builder.ToStringStyle;
import com.ruoyi.common.annotation.Excel;
import com.ruoyi.common.core.domain.BaseEntity;

/**
 * 等级配置对象 current_config
 * 
 * @author ruoyi
 * @date 2025-03-05
 */
public class CurrentConfig extends BaseEntity
{
    private static final long serialVersionUID = 1L;

    /** 主键 */
    private Long currentId;

    /** 等级标题 */
    @Excel(name = "等级标题")
    private String currentTitle;

    /** 等级文本 */
    @Excel(name = "等级文本")
    private String currentText;

    /** 文本优先级 */
    @Excel(name = "文本优先级")
    private Long currentPriority;

    /** 背景图 */
    @Excel(name = "背景图")
    private String currentImage;

    public void setCurrentId(Long currentId) 
    {
        this.currentId = currentId;
    }

    public Long getCurrentId() 
    {
        return currentId;
    }
    public void setCurrentTitle(String currentTitle) 
    {
        this.currentTitle = currentTitle;
    }

    public String getCurrentTitle() 
    {
        return currentTitle;
    }
    public void setCurrentText(String currentText) 
    {
        this.currentText = currentText;
    }

    public String getCurrentText() 
    {
        return currentText;
    }
    public void setCurrentPriority(Long currentPriority) 
    {
        this.currentPriority = currentPriority;
    }

    public Long getCurrentPriority() 
    {
        return currentPriority;
    }
    public void setCurrentImage(String currentImage) 
    {
        this.currentImage = currentImage;
    }

    public String getCurrentImage() 
    {
        return currentImage;
    }

    @Override
    public String toString() {
        return new ToStringBuilder(this,ToStringStyle.MULTI_LINE_STYLE)
            .append("currentId", getCurrentId())
            .append("currentTitle", getCurrentTitle())
            .append("currentText", getCurrentText())
            .append("currentPriority", getCurrentPriority())
            .append("currentImage", getCurrentImage())
            .toString();
    }
}
